### Function

# Gio SocketConnection factory_lookup_type

since: 2.22

#### Declaration

    GType
    g_socket_connection_factory_lookup_type (
      GSocketFamily family,
      GSocketType type,
      gint protocol_id
    )

#### Description

Looks up the `GType` to be used when creating socket connections on sockets with the specified `family`, `type` and `protocol_id`.

If no type is registered, the `GSocketConnection` base type is returned.

Available since: 2.22

#### Parameters

`family`

  Type: `GSocketFamily`

  A `GSocketFamily`.

`type`

  Type: `GSocketType`

  A `GSocketType`.

`protocol_id`

  Type: `gint`

  A protocol id.

#### Return value

Type: `GType`

A `GType`.